Loading...
Searching...
No Matches
Buffer Struct Reference
Virtio Net Switch

Data buffer used to transfer packets. More...

`#include <virtio_net_buffer.h>`

Inheritance diagram for Buffer:
Collaboration diagram for Buffer:

## Additional Inherited Members

Public Member Functions inherited from L4virtio::Svr::Data_buffer
template<typename T>
| Data_buffer (T *p)
| Create buffer for object p.
template<typename T>
void | set (T *p)
| Set buffer for object p.
l4_uint32_t | copy_to (Data_buffer *dst, l4_uint32_t max=UINT_MAX)
| Copy contents from this buffer to the destination buffer.
l4_uint32_t | skip (l4_uint32_t bytes)
| Skip given number of bytes in this buffer.
bool | done () const
| Check if there are no more bytes left in the buffer.
Data Fields inherited from L4virtio::Svr::Data_buffer
char * | pos
| Current buffer position.
l4_uint32_t | left
| Bytes left in buffer.

## Detailed Description

Data buffer used to transfer packets.

Definition at line 19 of file virtio_net_buffer.h.

The documentation for this struct was generated from the following file:

- pkg/virtio-net-switch/server/switch/virtio_net_buffer.h